.title-warpper {
  display: block;

  span {
    display: block;
  }
}

.card-boardcast {
  height: auto;
  width: auto;
  border-radius: 6px;
  background-color: #ffffff;
  -webkit-box-shadow: 0px 0px 0px 0.2px rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 0px 0px 0px 0.2px rgba(0, 0, 0, 0.1);
  box-shadow: 0px 0px 0px 0.2px rgba(0, 0, 0, 0.1);
  margin: auto;
  // padding: 32px;
}

.head-title {
  height: 48px;
  color: #333333;
  font-size: 32px;
  font-weight: bold;
  line-height: 48px;
}

.sub-title {
  color: #999999;
  font-size: 18px;
  line-height: 28px;
  height: 28px;
}

.back-btn {
  height: 48px;
  width: 32px;

}

.title {
  height: 32px;
  width: 152px;
  color: #333333;
  font-family: Prompt;
  font-size: 20px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 32px
}

.show {
  height: 22px;
  width: 127px;
  color: #006E95;
  font-family: Prompt;
  font-size: 14px;
  font-weight: 400;
  letter-spacing: 0;
  line-height: 22px;
  text-align: right;
  cursor: pointer;
}

.edit {
  color: #00A6E6;
  cursor: pointer;
}

.card-warpper {
  background: #ffffff;
  padding: 32px;
}

.input-form-card {
  // margin: 0 32px;

  input[type=text] {
    height: 48px;
  }
}

.title-card {
  height: 30px;
  font-family: Prompt;
  font-size: 20px;
  font-weight: 500;
  line-height: 30px;
  color: #333333;
}

.custom-select {
  display: inline-block;
  width: 100%;
  height: 48px;
  padding: 0.375rem 1.75rem 0.375rem 0.75rem;
  font-size: 0.875rem;
  font-weight: 400;
  line-height: 1.5;
  color: #5c6873;
  vertical-align: middle;
}

.input-warpper {
  position: relative;
}


.icon-warpper1 {
  display: block;
  position: absolute;
  right: 3%;
  line-height: 44px;
}


.search-btn {
  height: 48px;
  width: 156px;
  border-radius: 4px;
  background-color: #00A4E4;
  color: #FFFFFF;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
}

.delete-news-button {
  box-sizing: border-box;
  // margin-left: 906px;
  height: 36px;
  width: 130px;
  border: 1px solid #00A6E6;
  border-radius: 4px;
  background-color: #FFFFFF;
  color: #00A6E6;
  font-family: Prompt;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 24px;
  text-align: center;
}

.add-news-button {
  height: 36px;
  // width: 169px;
  margin-left: 16px;
  border-radius: 4px;
  background-color: #00A6E6;
  color: #FFFFFF;
  font-family: Prompt;
  font-size: 16px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 24px;
  text-align: center;

}

table {
  font-family: Prompt;
  box-shadow: 0 0 1px 0 #999999;
}

.table-search {
  width: 100%;
}

.table-detail {
  width: 2000px !important;
  overflow-x: auto;
}

.select-input {
  width: 208px;
}

th {
  font-family: Prompt !important;
  align-items: flex-start;
  opacity: 0.99;
  border-radius: 2px;
  background-color: #F2F2F2;
  font-size: 16px;
  height: 88px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 24px;
  letter-spacing: normal;
  color: #a2aebb;
}

td.mat-cell,
td.mat-footer-cell,
th.mat-header-cell {
  text-align: center;
  padding: 0;
  border-bottom-width: 1px;
  border-bottom-style: solid;
}

.table-responsives {
  margin-left: 32px;
  padding-top: 22px;
  padding-bottom: 32px;
  margin-right: 32px;
  overflow-x: auto;
  font-family: Prompt !important;
}



.status-icon {
  padding: 7px;
  border-radius: 4px;
  font-family: Prompt;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 24px;
}

._approve {
  // background-opacity: 0.15;
  background: rgba(90, 167, 0, 0.15);
  color: #5aa700;
}

._edit {
  background: rgba(237, 174, 43, 0.15);
  color: #EDAE2B;
}

::ng-deep .mat-checkbox-checked.mat-accent .mat-checkbox-background {
  background-color: #00A6E6 !important;
  /* Red background for example */
}

::ng-deep .mat-checkbox-indeterminate.mat-accent .mat-checkbox-background {
  background-color: #00A6E6 !important;
  /* Red background for example */
}

.box-submit {
  height: 88px;
  width: 100%;
  background-color: #FFFFFF;
  box-shadow: 0 2px 12px 0 #E0E0E0;
  display: flex;
  align-items: center;
}

.btn-cancel {
  background-color: #FFFFFF;

  box-sizing: border-box;
  height: 57.5px;
  width: 181.5px;
  border: 1.5px solid #00A4E4;
  border-radius: 4px;
  color: #00A4E4;
  font-family: Prompt;
  font-size: 18px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 28px;
  text-align: center;
}

.btn-add-permission {
  height: 56px;
  width: 224px;
  border-radius: 4px;
  background-color: #00A4E4;
  color: #FFFFFF;
  font-family: Prompt;
  font-size: 18px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 28px;
  text-align: center;
}

.btn-back-permission {
  height: 56px;
  width: 164px;
  border-radius: 4px;
  background-color: #FFFFFF;
  color: #00A4E4;
  font-family: Prompt;
  font-size: 18px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 28px;
  text-align: center;
  border: 1px solid #00A4E4;
}

.text-select-total {
  height: 28px;
  width: 137px;
  color: #999999;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
}


//   modal --------------------------------------------------------------

.modal-width {
  max-width: 90%;
}

.modal-content {
  // height: 684px;
  width: 100%;
  padding: 48px;
  padding-bottom: 16px;
}


.textarea-container .input_upload {
  position: absolute;
  bottom: 10px;
  left: 16px;
  right: 0;

  box-sizing: border-box;
  height: 48px;
  width: 526px;
  text-align: center;
}

.input_upload_label {
  box-sizing: border-box;
  height: 48px;
  width: 526px;
  padding-top: 10px;
  border: 1.5px solid #00A4E4;
  border-radius: 4px;
  color: #00A6E6;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
  text-align: center;
  cursor: pointer;
}



.textareaHeight {
  height: 261px;
}

.textarea-container {
  position: relative;
}

.textarea-container textarea {
  width: 100%;
  height: 100%;
  box-sizing: border-box;
}

.textarea-container button {
  position: absolute;
  // position: fixed;
  bottom: 10px;
  left: 16px;
  right: 0;
}

.textarea-container .image_row {
  position: absolute;
  // position: fixed;
  bottom: 50px;
  left: 16px;
  right: 0;
}

.textarea-container .image_col {
  position: absolute;
  // position: fixed;
  bottom: 20px;
  left: 16px;
  right: 0;
}

.textarea-container .custom-file {
  position: absolute;
  // position: fixed;
  bottom: 10px;
  left: 16px;
  right: 0;
}

.non_image_fileDrop {
  position: absolute;
  opacity: 0;
  // box-sizing: border-box;
  height: 80px;
  width: 80px;
  padding: 0px;
  // border: 1.5px dashed #00A4E4;
  border-radius: 4px;
  background-color: #5AA700;
  cursor: pointer !important;
}

.fileDrop {
  position: absolute;
  opacity: 0;
  height: 50px;
  background-color: #5AA700;
  cursor: pointer;
}

.fileDrop_document {
  position: absolute;
  opacity: 0;
  height: 80px;
  background-color: #5AA700;
  cursor: pointer;
}

.dropzone {
  width: 97%;
  height: 85px;
  padding: 2rem;
  text-align: center;
  border: dashed 2px #00a4e4;
  position: relative;
  margin: auto;
  border-radius: 1%;

  input {
    cursor: pointer;
    opacity: 0;
    position: absolute;
    z-index: 2;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
  }

  input:hover {
    cursor: pointer;
    opacity: 0;
    position: absolute;
    z-index: 2;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
  }

  i {
    font-size: 50px;
    color: #00a6e6;
  }

  .drag-text {
    width: 180px;
    height: 44px;
    border-radius: 21px;
    padding: 8px 16px;
  }
}

.dropzone:hover {
  width: 97%;
  height: 85px;
  padding: 2rem;
  text-align: center;
  border: dashed 2px #00a4e4;
  position: relative;
  margin: auto;
  border-radius: 1%;
  background-color: rgba(226, 226, 226, 0.288);
}

.non-data {
  display: flex;
  justify-content: center;
  color: #999999;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
}




.btn-date {
  top: 12px;
  right: 25px;
  position: absolute;
  cursor: pointer;
  color: #009edb;
}

.btn-delete:hover {
  cursor: pointer;
  color: rgb(20, 20, 20) !important;
}


// ////////////////////////calender //////////////////////////////////////
::ng-deep #ej2-datetimepicker_0 span.e-input-group::before {
  display: none;
  font-family: Prompt !important;
}

::ng-deep #ej2-datetimepicker_0 span.e-input-group::after {
  display: none;
}

::ng-deep .e-calendar .e-content td.e-today.e-selected span.e-day {
  border: none;
  background-color: #009edb !important;
}

::ng-deep .e-calendar .e-content td.e-today span.e-day {
  border: 1px solid #009edb !important;
  background: rgb(255, 255, 255);
  color: #009edb;
}

::ng-deep .e-btn.e-flat.e-primary:hover {
  // border: 1px solid #009EDB !important;
  background: rgb(247, 247, 247) !important;
  color: #009edb !important;
}

::ng-deep .e-btn.e-flat.e-primary:disabled {
  // background: rgb(255, 255, 255)!important;
  color: rgba(104, 104, 104, 0.219) !important;
}

::ng-deep .e-btn.e-flat.e-primary:disabled:hover {
  background: rgb(255, 255, 255) !important;
  color: rgba(104, 104, 104, 0.219) !important;
}

::ng-deep .e-calendar .e-content td.e-today span.e-day:hover {
  border: 1px solid #009edb !important;
  background: rgb(255, 255, 255);
  color: rgb(0, 0, 0) !important;
}

::ng-deep .e-calendar .e-content td.e-today.e-selected span.e-day {
  border: none;
  background-color: #009edb !important;
}

::ng-deep .e-calendar .e-content td.e-focused-date.e-today span.e-day {
  border: 1px solid #009edb !important;
  background: rgb(255, 255, 255);
  color: #009edb;
}

::ng-deep .e-daterangepicker.e-popup .e-calendar .e-end-date.e-selected.e-range-hover span.e-day {
  border: none;
  background-color: #009edb !important;
}

::ng-deep .e-calendar .e-content td.e-selected:hover span.e-day {
  border: none;
  background-color: #009edb !important;
}

::ng-deep .e-daterangepicker.e-popup .e-calendar .e-range-hover.e-start-date.e-selected.e-today span.e-day {
  border: 1px solid #009edb !important;
}

::ng-deep .e-daterangepicker.e-popup .e-calendar .e-start-date.e-selected.e-range-hover span.e-day {
  border: none;
  background-color: #009edb !important;
}

::ng-deep .e-calendar .e-content td.e-selected span.e-day {
  border: none;
  background-color: #009edb !important;
}

::ng-deep .e-btn.e-flat.e-primary {
  background: rgb(255, 255, 255) !important;
  color: #009edb !important;
}

::ng-deep #ej2-datetimepicker_0 span {
  border: none;
  color: rgb(185, 185, 185);
}

::ng-deep #ej2-datetimepicker_0 input.e-input {
  font-size: 14px;
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #3a4966;
  font-family: Prompt !important;
}

::ng-deep .mat-calendar-body-selected {
  background-color: #009edb !important;
}

// //////////////////////////////////////////////////////////////////////////

.calendar-warpper-2 {
  position: absolute;
  top: -1;
  // right: 0;
  background: #fff;
  padding: 10px;
  border: 1px solid #0000002b;
  box-shadow: 0 2px 4px -1px rgba(0, 0, 0, 0.2), 0 4px 5px 0 rgba(0, 0, 0, 0.14),
    0 1px 10px 0 rgba(0, 0, 0, 0.12);
  border-radius: 4px;
  z-index: 999;
  // opacity: 0;
  transition: all 2s;
  width: 300px;

  .input-calendar {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 30% !important;
  }

  .subhead-calendar {
    display: flex;
    text-align: center;
    color: #009edb;

    :nth-child(1) {
      width: 50%;
    }

    :nth-child(2) {
      width: 50%;
    }
  }

  .header-calendar {
    text-align: center;
  }

  .body-calendar {
    display: flex;
  }

  &.ng-star-inserted {
    opacity: 1;
  }

  .footer-calendar {
    display: flex;

    .btn-apply {
      margin-left: auto;
    }

    .mat-flat-button.mat-primary:not([disabled]) {
      background-color: #009edb;
    }

  }
}

.fa-remove:before,
.fa-close:before,
.fa-times:before {
  position: absolute;
  top: 16px;
  right: 60px;
}

.mat-calendar {
  display: block;
  width: 100%;
}

.btn-all{
  display: flex;
  justify-content: flex-end;
}